curl --request GET \
--url https://product-api.thedatacity.com/api/v2/companies/{companyNumber} \
--header 'Authorization: Bearer <token>'import requests
url = "https://product-api.thedatacity.com/api/v2/companies/{companyNumber}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://product-api.thedatacity.com/api/v2/companies/{companyNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"AccountsOverdueByMoreThanAYear": true,
"BestEstimateEBITDA": 123,
"BestEstimateEmployees": 123,
"BestEstimateTurnover": 123,
"BestEstimateUKEmployees": 123,
"Bluesky": "<string>",
"CICs": [
{}
],
"CompanyCategory": "<string>",
"CompanyDescription": "<string>",
"CompanyExports": [
{}
],
"CompanyFinancials_CreditSafe": [
{
"ACCOUNTANT_NAME": "<string>",
"ACCOUNTS_FORMAT": "<string>",
"AMORTISATION_OF_INTANGIBLES": 123,
"AUDITORS": "<string>",
"BANK_OVERDRAFT": 123,
"CASH": 123,
"CONSOLIDATED_ACS": true,
"CREDITORS": 123,
"CURRENCY": "<string>",
"DEBTORS": 123,
"DEBTORS_DUE_AFTER_ONE_YEAR": 123,
"DECREASE_OR_INCREASE_IN_CASH": 123,
"DEPRECIATION_OF_TANGIBLES": 123,
"EBITDA": 123,
"EMPLOYEES_ANOMALOUS": true,
"EMPLOYEES_ANOMALOUS_PROBABILITY": 123,
"EXPORT": 123,
"GROUP_DEBTORS": 123,
"LIKELY_AGENCY": true,
"LIKELY_AGENCY_PROBABILITY": 123,
"MADE_FROM_DATE": "2023-11-07T05:31:56Z",
"MADE_UPTO_DATE": "2023-11-07T05:31:56Z",
"NET_ASSETS": 123,
"NET_WORTH": 123,
"NUMBER_OF_EMPLOYEES": 123,
"NUM_OF_MONTHS": 123,
"OPERATING_PROFIT": 123,
"PRE_TAX_PROFIT": 123,
"PROFIT_AFTER_TAX": 123,
"SHAREHOLDER_FUNDS": 123,
"TOTAL_ASSETS": 123,
"TOTAL_CURRENT_ASSETS": 123,
"TOTAL_CURRENT_LIABILITIES": 123,
"TOTAL_LIABILITIES": 123,
"TRADE_DEBTORS": 123,
"TURNOVER": 123,
"TURNOVER_ANOMALOUS": true,
"TURNOVER_ANOMALOUS_PROBABILITY": 123,
"WAGES_AND_SALARIES": 123,
"YEAR": 123
}
],
"CompanyGrowthTrends": {
"BestEstimateCurrentEmployees": 123,
"BestEstimateCurrentTurnover": 123,
"BestEstimateEmployeeGrowthPercentagePerYear": 123,
"BestEstimateGrowthPercentagePerYear": 123,
"BestEstimateTurnoverGrowthPercentagePerYear": 123,
"BestEstimatedTurnoverToEmployeeRatio": 123,
"CompanyAgeInDays": 123,
"CompanySizeEstimate": "<string>",
"EmploymentEstimates": [
{
"Estimated": 123,
"Measure": 123,
"Year": 123
}
],
"OECDScaleup": true,
"SICs": [
"<string>"
],
"TurnoverEstimates": [
{
"Estimated": 123,
"Measure": 123,
"Year": 123
}
]
},
"CompanyImports": [
{}
],
"CompanyJobPostings": [
{
"MedianSalary": 123,
"Postings": 123,
"SOC4Code": "<string>",
"SOC4Name": "<string>"
}
],
"CompanyJobPostingsByLOTCodeOverTime": [
{
"AverageMedianSalary": 123,
"Count": 123,
"LOTCode": "<string>",
"Timestamp": 123
}
],
"CompanyJobPostingsByLot": [
{
"LotCode": "<string>",
"LotName": "<string>",
"MedianSalary": 123,
"Postings": 123
}
],
"CompanyJobPostingsBySOC4CodeOverTime": [
{
"AverageMedianSalary": 123,
"Count": 123,
"SOC4Code": "<string>",
"Timestamp": 123
}
],
"CompanyJobPostingsBySkill": [
{
"MedianPostingDuration": 123,
"SkillName": "<string>",
"UniquePostings": 123
}
],
"CompanyJobPostingsOverTime": {
"CompanyJobPostingsOverTimeByLot": [
{
"Count": 123,
"Timestamp": 123
}
],
"CompanyJobPostingsOverTimeBySoc4": [
{
"Count": 123,
"Timestamp": 123
}
]
},
"CompanyName": "<string>",
"CompanyNation": "<string>",
"CompanyNumber": "<string>",
"CompanyStatus": "<string>",
"ConsolidatedAccountsCompanyName": [
"<string>"
],
"ConsolidatedAccountsCompanyNumber": [
"<string>"
],
"CountryOfOrigin": "<string>",
"DealroomFunding": [
{
"CompanyId": "<string>",
"LastInvestmentDate": "2023-11-07T05:31:56Z",
"ParticipatingInvestorTypes": "<string>",
"ProviderCompanyName": "<string>",
"RoundAmount_GBP_Million": 123,
"RoundDate": "2023-11-07T05:31:56Z",
"RoundInvestorName": "<string>",
"RoundInvestorType": "<string>",
"RoundLeadInvestorName": "<string>",
"RoundType": "<string>",
"RoundVerified": 123,
"Spinout": 123,
"TotalInvestmentRaised_GBP_Million": 123
}
],
"DistinctBrandsInGroup": [
{}
],
"ESGStatementAnchors": [
{
"Anchor": "<string>",
"Domain": "<string>",
"Word": "<string>"
}
],
"ESG_RTIC": true,
"EmailAddresses": [
"<string>"
],
"EstimatedGVA": 123,
"EstimatedUKGVA": 123,
"Facebook": "<string>",
"GenderFoundedCategory": "<string>",
"GenderLedCategory": "<string>",
"HasBeenAcquired": true,
"HasIPO": true,
"HasMadeAcquisitions": true,
"HighGrowth": true,
"Homepage_domain": "<string>",
"IS8Codes": [
{
"ISCode": "<string>",
"ISCodeName": "<string>",
"ISVerticalCode": "<string>",
"ISVerticalName": "<string>"
}
],
"IncorporationDate": "2023-12-25",
"InnovateUKFunding": [
{
"ActualSpendtoDate": 123,
"ApplicationNumber": "<string>",
"AwardOffered": 123,
"CompetitionReference": "<string>",
"CompetitionTitle": "<string>",
"CompetitionYear": 123,
"EnterpriseSize": "<string>",
"IndustrialStrategyChallengeFundISCF": "<string>",
"InnovateUKProductType": "<string>",
"IsLeadParticipant": "<string>",
"ParticipantName": "<string>",
"ParticipantWithdrawnFromProject": "<string>",
"Postcode": "<string>",
"ProgrammeTitle": "<string>",
"ProjectEndDate": "2023-11-07T05:31:56Z",
"ProjectNumber": "<string>",
"ProjectStartDate": "2023-11-07T05:31:56Z",
"ProjectStatus": "<string>",
"ProjectTitle": "<string>",
"PublicDescription": "<string>",
"Sector": "<string>",
"TotalCosts": 123
}
],
"InnovationKeywords": [
"<string>"
],
"InnovationScore": 123,
"Instagram": "<string>",
"Investment": [
{
"CompanyId": "<string>",
"LastInvestmentDate": "2023-11-07T05:31:56Z",
"ParticipatingInvestorTypes": "<string>",
"ProviderCompanyName": "<string>",
"RoundAmount_GBP_Million": 123,
"RoundDate": "2023-11-07T05:31:56Z",
"RoundInvestorName": "<string>",
"RoundInvestorType": "<string>",
"RoundLeadInvestorName": "<string>",
"RoundType": "<string>",
"RoundVerified": 123,
"Spinout": 123,
"TotalInvestmentRaised_GBP_Million": 123
}
],
"IsBCorp": true,
"IsLikelyAgency": true,
"IsLikelySPV": true,
"LatestRoundAmount": 123,
"LatestRoundDate": "2023-11-07T05:31:56Z",
"LatestRoundType": "<string>",
"LatestRoundValuation": 123,
"LinkedCompanyNumbers": [
"<string>"
],
"Linkedin": "<string>",
"LocationDetails": [
{
"AssociatedAddress": "<string>",
"BestEstimateLocationEmployees": 123,
"BestEstimateLocationGVA": 123,
"BestEstimateLocationTurnover": 123,
"FoundOnWebpage": true,
"ITL1": "<string>",
"ITL1NM": "<string>",
"ITL2": "<string>",
"ITL2NM": "<string>",
"ITL3": "<string>",
"IsBlacklisted": true,
"IsOperatingAddress": true,
"IsSubsidiaryAddress": true,
"LAcode": "<string>",
"LAname": "<string>",
"LSOA": "<string>",
"Latitude": 123,
"Longitude": 123,
"MSOA": "<string>",
"OECDFUACorePlusCommuting": "<string>",
"Postcode": "<string>",
"Postcode_withspaces": "<string>",
"RegisteredPostcode": true,
"StrategicAuthorityCode": "<string>",
"StrategicAuthorityName": "<string>",
"UKConstituency": "<string>"
}
],
"ManufacturingKeywords": [
"<string>"
],
"NumberOfCurrentDirectors": 123,
"NumberOfCurrentOfficers": 123,
"OECDScaleup": true,
"Officers": [
{
"AddressLine1": "<string>",
"AddressLine2": "<string>",
"Appointedon": "2023-12-25",
"Careof": "<string>",
"Country": "<string>",
"County": "<string>",
"DOB": "2023-12-25",
"Forenames": "<string>",
"Honours": "<string>",
"Nationality": "<string>",
"Occupation": "<string>",
"PersonNumber": "<string>",
"PostTown": "<string>",
"ResignationDate": "2023-12-25",
"Role": "<string>",
"Surname": "<string>",
"Title": "<string>",
"UsualResidentialCountry": "<string>"
}
],
"ParentNation": "<string>",
"PhoneNumbers": [
"<string>"
],
"RSICs": [
{
"SIC_Code": "<string>",
"Score": 123
}
],
"RTICs": [
{}
],
"RegisteredAddress": "<string>",
"RegisteredPostcode": "<string>",
"SICHLUs": [
"<string>"
],
"SICs": [
"<string>"
],
"SectorKeywords": [
"<string>"
],
"SimilarCompanies": [
{
"CompanyOne": "<string>",
"CompanyTwo": "<string>",
"Similarity": 123
}
],
"SimilarCompositeCompanies": [
{
"CompanyOne": "<string>",
"CompanyTwo": "<string>",
"Similarity": 123
}
],
"Spinout": true,
"TonnesOfC02equivGHGPerYear": 123,
"Twitter": "<string>",
"URLMatchStats": {
"MatchedWebsite": "<string>",
"MatchedWebsiteConfidence": "<string>",
"MatchedWebsiteReasoning": [
"<string>"
],
"MatchedWebsiteScore": 123
},
"UltimateLinkedCompanyNumber": "<string>",
"UltimateParentNation": "<string>",
"UltimateUKParentCompanyNames": [
"<string>"
],
"UltimateUKParentCompanyNumbers": [
"<string>"
],
"WomenLedStats": {
"ActiveFemaleDirectors": 123,
"ActiveFemaleFounders": 123,
"ActiveMaleDirectors": 123,
"ActiveMaleFounders": 123,
"InitialFemaleFounders": 123,
"InitialMaleFounders": 123,
"TotalActiveDirectors": 123,
"TotalActiveFounders": 123,
"TotalInitialFounders": 123
},
"Youtube": "<string>",
"_360GivingFunding": [
{
"ImpactCategory": "<string>",
"Primaryissue": "<string>",
"amountAwarded": 123,
"awardDate": "2023-11-07T05:31:56Z",
"currency": "<string>",
"description": "<string>",
"funderName": "<string>",
"grantProgrammeTitle": "<string>",
"recipientName": "<string>",
"recipientURL": "<string>",
"title": "<string>"
}
]
}Get company details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Companies House company number.
Response
Company record from the product API (field-level shape in data dictionary).
Generated from The Data City data dictionary (schema ClassifiedCompany, version 1.0). See https://docs.thedatacity.com/data-dictionary/
A flag indicating the company's accounts are overdue by more than a year.
Where OPERATING_PROFIT, DEPRECIATION_OF_TANGIBLES and AMORTISATION_OF_INTANGIBLES are available, these three values are summed.
Employees data is available for most companies. Occasionally there are gaps in reporting. Where there are gaps in reporting, we estimate the number of employees; this includes a projection of employees forwards and backwards. BestEstimateEmployees refers to the current year. BestEstimateEmployees may include overseas employees.
Available from Companies House for large companies, if absent then The Data City provide an estimate. The BestEstimate will report actual (reported) where available or it will be an estimate. BestEstimateTurnover refers to the current year: where accounts covering the current year have not been reported, the value is projected forward from the most recently reported year.
Similar to BestEstimateEmployees, but estimates only UK-based employees. BestEstimateUKEmployees currently refers to the latest complete year.
Takes the most common anchor link which contains the social media domain. We prioritise social media links that are found on the homepage.
Custom Industrial Classifications (CICs) the company has been classified into. API includes the industry verticals within the same field. On the download, verticals are a separate column. These are custom RTICs.
Companies House data. The type of company, e.g. Publically Listed (PLC) or Limited (LTD).
Takes the description from the description meta tag from the homepage and the about page. We check this is in English.
HMRC export trade data for the company.
Annual financial reporting from filings processed by Creditsafe. Creditsafe use a semi-automated process to convert scanned financial PDF documents into numerical/digital values. This process may lead to errors, e.g. reporting profit as turnover.
Show child attributes
Show child attributes
Generated from The Data City data dictionary (schema CompanyGrowthTrend, version 1.0). See https://docs.thedatacity.com/data-dictionary/
Show child attributes
Show child attributes
HMRC import trade data for the company.
This company's job postings grouped by SOC4 occupation, one entry per occupation group, covering the most recent five years. See the CompanyJobPosting schema for the fields on each entry. Job postings data is a paid upgrade and is not included for all customers.
Show child attributes
Show child attributes
This company's monthly job posting counts and median advertised salary per LOT occupation, one entry per occupation per month, covering the most recent five years. Job postings data is a paid upgrade and is not included for all customers.
Show child attributes
Show child attributes
This company's job postings grouped by Lightcast Occupation Taxonomy (LOT) occupation, one entry per occupation, covering the most recent five years. See the CompanyJobPostingByLot schema for the fields on each entry. Job postings data is a paid upgrade and is not included for all customers.
Show child attributes
Show child attributes
This company's monthly job posting counts and median advertised salary per SOC4 occupation, one entry per occupation per month, covering the most recent five years. Job postings data is a paid upgrade and is not included for all customers.
Show child attributes
Show child attributes
This company's job postings grouped by common skill requested, covering the most recent five years. Despite the name this holds common skills only; specialised skills, software skills and certifications are returned separately and are not included here. See the CompanyJobPostingByCommonSkill schema for the fields on each entry. Job postings data is a paid upgrade and is not included for all customers.
Show child attributes
Show child attributes
Generated from The Data City data dictionary (schema CompanyJobPostingsOverTime, version 1.0). See https://docs.thedatacity.com/data-dictionary/
Show child attributes
Show child attributes
Companies House data. Companies have the ability to change their company name through submission to Companies House.
The company nation.
Companies House data. Unique key, doesn't change. Most important part of our data.
The company status as per Companies House.
A list of company names within the same group structure that have consolidated accounts. This is a strong signal of the companies that are more likely to be the parent company. This is because it is common for the parent company to file consolidated accounts that include all the subsidiaries in the group structure.
A list of company numbers within the same group structure that have consolidated accounts. This is a strong signal of the companies that are more likely to be the parent company. This is because it is common for the parent company to file consolidated accounts that include all the subsidiaries in the group structure.
Companies House data. Not to be confused with group structure (ParentCompanyNation, UltimateParentCompanyNation).
Legacy field, retained for backward compatibility only; use Investment instead.
Show child attributes
Show child attributes
A list of distinct brands that can be found across the company's group structure.
This is an array of ESG statement anchors. Each anchor is a string that is found in the company's website text.
Show child attributes
Show child attributes
A boolean value indicating whether the company is in an ESG RTIC.
Emails are extracted from the website text. Director emails are prioritised. For matching directors to emails: any combination of the complete surname or first name with at least the first initial of the opposing field. No AI is used.
We have produced an estimated GVA measure at the company level. We have employee and SIC information for each company. This makes it possible to estimate a GVA value per company by multiplying a company's number of employees by the standard GVA employee contribution associated with that same company's SIC.
We have produced an estimated GVA measure at the company level. We have employee and SIC information for each company. This makes it possible to estimate a GVA value per company by multiplying a company's number of UK employees by the standard GVA employee contribution associated with that same company's SIC.
Takes the most common anchor link which contains the social media domain. We prioritise social media links that are found on the homepage.
The company's single gender-leadership category based on its active founders. One of: All women led, Majority women led, Mixed led, Majority men led, All men led, Uncertain. Mutually exclusive — every company falls in exactly one.
The company's single gender-leadership category based on its active directors. One of: All women led, Majority women led, Mixed led, Majority men led, All men led, Uncertain. Mutually exclusive — every company falls in exactly one.
True if the company has been acquired, based on funding rounds with an 'Acquisition' round type where this company is the target.
True if the company has listed on a public market, based on an IPO event in the investment feed.
True if the company has acquired another company, based on funding rounds with an 'Acquisition' round type where this company is the acquirer.
A boolean value indicating whether the company is a high growth company.
Goes through the large web-scraping/matching process.
Industrial Strategy Sector codes associated with the company, derived from RTICs and RSICs.
Show child attributes
Show child attributes
Companies House data.
Information about the projects funded by Innovate UK from 2004. Source: https://www.ukri.org/publications/innovate-uk-funded-projects-since-2004/
Show child attributes
Show child attributes
We have a large list of emerging economy keywords. We loop through the web text to see if the web text contains the keyword. If they do, the keyword is assigned to the company.
We present this on the platform as stars but the API is actually a numerical value which gets categorised. The result is a binary classifier. The company is either innovative or it is not. The confidence increases the higher the score.
Takes the most common anchor link which contains the social media domain. We prioritise social media links that are found on the homepage.
Per-round investment data matched to a CompanyNumber with high confidence. TotalInvestmentRaised_GBP_Million is the sum of all rounds, except Debt and Acquisition rounds. This is the total across the provider's tracking period and is not the total in one particular year.
Show child attributes
Show child attributes
A flag of whether a company is a B Corp. This is based on a list of B Corps that we have obtained from B Corp and matched to our companies.
A boolean value indicating whether the company is likely to be an agency. This is based on assessment of the company's financials.
A flag indicating the company is likely a special purpose vehicle (SPV), based on an ML model applied to Companies House data.
The amount raised in the company's most recent funding round. This is the individual round amount, not the company's total funding raised across all rounds.
The date of the company's most recent funding round.
The round type of the company's most recent funding round (e.g. 'Seed', 'Series A').
The company's valuation as reported for its most recent funding round, in GBP. Not all rounds have a disclosed or estimated valuation.
A list of company numbers that are linked to the company, even if they are not connected through group structure. This is based on a combination of signals including shared officers, shared addresses, shared shareholders, and other signals.
Takes the most common anchor link which contains the social media domain. We prioritise social media links that are found on the homepage.
An array of location objects with postcode-related fields.
Show child attributes
Show child attributes
We have a large list of manufacturing keywords. We loop through the web text to see if the web text contains the keyword. If they do, the keyword is assigned to the company.
The number of directors currently appointed to the company, i.e. those with no resignation date recorded whose role is Director. Excludes other officer roles such as company secretaries, LLP members and managing officers, so a limited liability partnership will typically report zero current directors.
The number of officers currently appointed to the company, i.e. those with no resignation date recorded. Counts all officer roles, including company secretaries and LLP members, not only directors.
A boolean value indicating whether the company is an OECD defined scale-up.
These are officers as per Companies House. E.g. https://find-and-update.company-information.service.gov.uk/company/10958787/officers
Show child attributes
Show child attributes
The nation of the parent company.
CreditSafe provide The Data City with CTPS approved phone numbers. Phone numbers are extracted from the website text.
Real-Time SIC (RSIC) codes with associated confidence score
Show child attributes
Show child attributes
RTICs the company has been classified into. API includes the industry verticals within the same field. On the download, verticals are a separate column.
Companies House data. The companies registered address as registered on Companies House. This is not to be confused with their head office. Not sourced from CreditSafe.
Companies House data. Not to be confused with head office (we do not know this at this stage). Not sourced from CreditSafe.
Companies House data. SIC Sections. Nature of business: Standard Industrial Classification (SIC) codes.
Companies House data. Nature of business: Standard Industrial Classification (SIC) codes.
We have a large list of emerging economy keywords. We loop through the web text to see if the web text contains the keyword. If they do, the keyword is assigned to the company.
Our similarity score adopts measures of mathematical similarity to find similar companies using their website text. Companies with website text with the same words are more likely to report a higher level of similarity.
Show child attributes
Show child attributes
Our composite similarity score.
Show child attributes
Show child attributes
True if the company is a spinout, sourced from the HESA spinout register. A spinout is a company created to commercialise research or technology developed at a university or research institution.
We estimate greenhouse gas emissions based on a published table of total carbon emissions by SIC sector. We assume that carbon emissions are spread equally across all companies within the SIC sector in proportion to their number of employees. Therefore, we only hold an estimate for a limited number of companies.
Takes the most common anchor link which contains the social media domain. We prioritise social media links that are found on the homepage.
Generated from The Data City data dictionary (schema UrlMatchStat, version 1.0). See https://docs.thedatacity.com/data-dictionary/
Show child attributes
Show child attributes
The ultimate linked company number in the group structure. This is the company number that was first incorporated within the collection of linked companies.
The nation of the ultimate parent company.
A list of company names belonging to companies in the group that are the highest level UK registered companies.
A list of company numbers belonging to companies in the group that are the highest level UK registered companies.
Generated from The Data City data dictionary (schema WomanLedStats, version 1.0). See https://docs.thedatacity.com/data-dictionary/
Show child attributes
Show child attributes
Takes the most common anchor link which contains the social media domain. We prioritise social media links that are found on the homepage.
Data provided by a charity that helps organisations to publish open, standardised grants data, and supports people to use it to improve charitable giving. Source: https://grantnav.threesixtygiving.org/
Show child attributes
Show child attributes